ReferenceAuth
/api/v1/auth/login
Log in with username and password
POST
/api/v1/auth/loginRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/v1/auth/login" \ -H "Content-Type: application/json" \ -d '{ "password": "string", "username": "string" }'{ "$schema": "https://example.com/api/v1/schemas/UserResponse.json", "avatarId": "string", "canSharePublicly": true, "color": "amber", "displayName": "string", "email": "string", "emailConfirmationPending": true, "emailVerified": true, "hasPassword": true, "id": "string", "locale": "en", "role": "superadmin", "username": "string"}